## packages
library("bcp")
library("strucchange")
library("DNAcopy")

## Coriell cell lines
data("coriell", package = "bcp")
chrom11 <- as.vector(na.omit(coriell$Coriell.05296[coriell$Chromosome==11]))
n <- length(chrom11)
bcp.11 <- bcp(chrom11)
cbs <- segment(CNA(chrom11, rep(1, n), 1:n), verbose = 0)
cbs.11 <- rep(unlist(cbs$output[6]), unlist(cbs$output[5]))
bp.11 <- breakpoints(chrom11 ~ 1, h = 2)$breakpoints
plot(bcp.11)

## US ex-post real interest rate
data("RealInt", package = "bcp")
n <- length(RealInt)
bcp.ri <- bcp(as.vector(RealInt), p0 = 0.1)
bp.ri <- breakpoints(RealInt ~ 1, h = 2)$breakpoints
cbs <- segment(CNA(RealInt, rep(1, n), 1:n), verbose = 0)
cbs.ri <- rep(unlist(cbs$output[6]), unlist(cbs$output[5]))
plot(bcp.ri)
